unit sSharedBDE;
(************************************************************************
sStyle components package 
Copyright (c) 2002 Serge Goncharov. All rights reserved.
                            Ukraine, Odessa
                            http://www.geocities.com/sstylish2002/
                            Serge@HyBce.com
 Version:	1.2, 24-02-2002
*************************************************************************)

interface

uses dbtables, sysutils, dialogs;

procedure SelectQuery(Query:TQuery; Par:string);         //  SQL
procedure ExecuteQuery(Query:TQuery; Par:string);        //  SQL
function GetMaxFieldValue(Query:TQuery; TableName, FieldName:string):integer;

implementation

procedure SelectQuery(Query:TQuery; Par:string);
begin
  Query.DisableControls;
  Query.Close;
  Query.SQL.Text:=Par;
  try begin
    Query.Open;
  end
  except on E: Exception do begin
    MessageDlg('    (' + E.Message + ') :  "'+Query.SQL.Text+'".', mtError, [mbOK], 0);
  end;
  end;
  Query.EnableControls;
end;

procedure ExecuteQuery(Query:TQuery; Par:string);
begin
  Query.Close;
  Query.SQL.Text:=Par;
  try begin
    Query.ExecSQL;
  end
  except on E: Exception do begin
    MessageDlg('    SQL (' + E.Message + ') :  "'+Query.SQL.Text+'".', mtError, [mbOK], 0);
  end;
  end;
end;

function GetMaxFieldValue(Query:TQuery; TableName, FieldName:string):integer;
begin
  SelectQuery(Query, 'select max('+FieldName+') from '+TableName+';');
  GetMaxFieldValue:=Query.Fields[0].asInteger;
end;

end.
